Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails)

#1 Le 28/09/2012, à 18:29

vince-rd1

[ RESOLU ] mise a niveau impossible vers 12.10

Bonjour,

Je tiens a installer ubuntu studio 12.10 en 64 bits, mais ça ne fonctionne pas.

j'ouvre un terminal et j'y entre :

sudo update-manager -d

J'y met le mot de passe, puis le gestionnaire de mise a jour s'ouvre et la version 12.10 m'est proposée.
La note de version s'affiche et je clique sur mise a niveau.
il télécharge les outils pour la mise a niveau, mais là retour sur le gestionnaire de mise à jour et plus rien...

Sur le terminal a coté s'affiche ceci :

authentification de 'quantal.tar.gz' avec 'quantal.tar.gz.gpg' 
exception from gpg: GnuPG exited non-zero, with code 2
Debug information: 


gpg: Signature faite le ven. 28 sept. 2012 03:55:55 CEST avec la clé DSA ID 437D05B5
gpg: /tmp/update-manager-tbvxJz/trustdb.gpg: base de confiance créée
gpg: Bonne signature de « Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com> »
gpg: ATTENTION: Cette clé n'est pas certifiée avec une signature de confiance !
gpg:          Rien ne dit que la signature appartient à son propriétaire.
Empreinte de clé principale: 6302 39CC 130E 1A7F D81A  27B1 4097 6EAF 437D 05B5
gpg: Signature faite le ven. 28 sept. 2012 03:55:55 CEST avec la clé RSA ID C0B21F32
gpg: Impossible de vérifier la signature: clé publique non trouvée

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/UpdateManager/UpdateManager.py", line 1110, in on_button_dist_upgrade_clicked
    fetcher.run()
  File "/usr/lib/python2.7/dist-packages/UpdateManager/Core/DistUpgradeFetcherCore.py", line 253, in run
    _("Authenticating the upgrade failed. There may be a problem "
  File "/usr/lib/python2.7/dist-packages/UpdateManager/DistUpgradeFetcher.py", line 41, in error
    return error(self.window_main, summary, message)
  File "/usr/lib/python2.7/dist-packages/UpdateManager/Core/utils.py", line 384, in error
    d.window.set_functions(Gdk.FUNC_MOVE)
RuntimeError: unable to get the value

Quelqu'un peu-il m'aidé?
Merci d'avance

Dernière modification par vince-rd1 (Le 28/09/2012, à 22:18)


pc bureau : CM asrock 960GM/U3S3 FX et CPU AMD FX 6100 SSD 120 Go 4Go de RAM et carte graphique gigabyte geforce GTX660 ubuntu 14.04 64 bits 
asus eeepc 1011PX W7 et ubuntu 14.04

Hors ligne

#2 Le 28/09/2012, à 19:23

espéce de gnome!

Re : [ RESOLU ] mise a niveau impossible vers 12.10

Et un

sudo apt-get update && sudo apt-get dist-upgrade

... roll

Hors ligne

#3 Le 28/09/2012, à 19:37

vince-rd1

Re : [ RESOLU ] mise a niveau impossible vers 12.10

la commande ne fonctionne pas

0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour

pc bureau : CM asrock 960GM/U3S3 FX et CPU AMD FX 6100 SSD 120 Go 4Go de RAM et carte graphique gigabyte geforce GTX660 ubuntu 14.04 64 bits 
asus eeepc 1011PX W7 et ubuntu 14.04

Hors ligne

#4 Le 28/09/2012, à 19:56

espéce de gnome!

Re : [ RESOLU ] mise a niveau impossible vers 12.10

tu as installé des logiciels via des ppa sur ta version actuelle? si oui ...il faut les déactiver.

Dernière modification par espéce de gnome! (Le 28/09/2012, à 19:56)

Hors ligne

#5 Le 28/09/2012, à 20:02

vince-rd1

Re : [ RESOLU ] mise a niveau impossible vers 12.10

comment? je ne m'y connaîs pas trop en ppa

Dernière modification par vince-rd1 (Le 28/09/2012, à 20:02)


pc bureau : CM asrock 960GM/U3S3 FX et CPU AMD FX 6100 SSD 120 Go 4Go de RAM et carte graphique gigabyte geforce GTX660 ubuntu 14.04 64 bits 
asus eeepc 1011PX W7 et ubuntu 14.04

Hors ligne

#6 Le 28/09/2012, à 21:22

vlotho

Re : [ RESOLU ] mise a niveau impossible vers 12.10

avec unity, tu va dans le menu en haut à droite, la ou il y a la roue denté. Ensuite tu clique sur paramètres système. Tu cherche "sources de logiciels" dans le descriptif des icônes qui apparaissent. La tu va dans l'onglet "autre logiciel" et tu décoche tout. Tu ferme les deux fenêtres. Tu ouvre un terminal et tu fais les commande décrite plus haut. voila.

Hors ligne

#7 Le 28/09/2012, à 21:35

vince-rd1

Re : [ RESOLU ] mise a niveau impossible vers 12.10

j'ai tout décocher mais rien ne se passe, toujours la même chose.
dans le terminal il y a ça (déjà noté dans mon 1er post) :

gpg: ATTENTION: Cette clé n'est pas certifiée avec une signature de confiance !
gpg:          Rien ne dit que la signature appartient à son propriétaire.
Empreinte de clé principale: 6302 39CC 130E 1A7F D81A  27B1 4097 6EAF 437D 05B5
gpg: Signature faite le ven. 28 sept. 2012 03:55:55 CEST avec la clé RSA ID C0B21F32
gpg: Impossible de vérifier la signature: clé publique non trouvée

est ce que ça pose problème?
Petit rappel : je suis sur ubuntu studio donc environnement LXDE

Dernière modification par vince-rd1 (Le 28/09/2012, à 21:35)


pc bureau : CM asrock 960GM/U3S3 FX et CPU AMD FX 6100 SSD 120 Go 4Go de RAM et carte graphique gigabyte geforce GTX660 ubuntu 14.04 64 bits 
asus eeepc 1011PX W7 et ubuntu 14.04

Hors ligne

#8 Le 28/09/2012, à 21:43

"-"

Re : [ RESOLU ] mise a niveau impossible vers 12.10

Il faut désactiver tous tes dépôts non officiels... et remonter le bug. (J'ai eu la même chose avec la màj en ligne de commande via sudo do-release-upgrade -d )

Hors ligne

#9 Le 28/09/2012, à 21:50

vince-rd1

Re : [ RESOLU ] mise a niveau impossible vers 12.10

comment faire pour désactiver les paquets non-officiels?


pc bureau : CM asrock 960GM/U3S3 FX et CPU AMD FX 6100 SSD 120 Go 4Go de RAM et carte graphique gigabyte geforce GTX660 ubuntu 14.04 64 bits 
asus eeepc 1011PX W7 et ubuntu 14.04

Hors ligne

#10 Le 28/09/2012, à 21:57

"-"

Re : [ RESOLU ] mise a niveau impossible vers 12.10

Les dépôts :
- Edite ton fichier /etc/apt/sources.list, et commente (avec un dièse devant) toutes les lignes qui contiennent "ppa" ou qui ne contiennent ni le mot "ubuntu" ni le mot "canonical". Si tu as des doutes, n'hésite pas à poster le contenu de ton fichier /etc/apt/sources.list pour qu'on te dise quoi commenter.
- De la même manière, commente tout le contenu des fichiers qui sont dans /etc/apt/sources.list.d.

Après la mise à jour :
- Remplace dans les lignes commentées "precise" par "quantal" dans /etc/apt/sources.list
- Idem pour les fichiers /etc/apt/sources.list.d

Dernier conseil : si tu ne sais pas t'en sortir avec la ligne de commande, attends que la version stable soit sortie avant de faire la mise à jour. Ca t'évitera bien des soucis potentiels.

"-"

Hors ligne

#11 Le 28/09/2012, à 22:07

vince-rd1

Re : [ RESOLU ] mise a niveau impossible vers 12.10

pour "/etc/apt sources.liste" j'ai ceci :

# deb cdrom:[Ubuntu-Studio 12.04.1 _Precise Pangolin_ - Release amd64 (20120818)]/ dists/precise/main/binary-i386/

# deb cdrom:[Ubuntu-Studio 12.04.1 _Precise Pangolin_ - Release amd64 (20120818)]/ dists/precise/multiverse/binary-i386/
# deb cdrom:[Ubuntu-Studio 12.04.1 _Precise Pangolin_ - Release amd64 (20120818)]/ dists/precise/restricted/binary-i386/
# deb cdrom:[Ubuntu-Studio 12.04.1 _Precise Pangolin_ - Release amd64 (20120818)]/ dists/precise/universe/binary-i386/
# deb cdrom:[Ubuntu-Studio 12.04.1 _Precise Pangolin_ - Release amd64 (20120818)]/ precise main multiverse restricted universe
deb-src http://archive.ubuntu.com/ubuntu precise main multiverse restricted universe #Added by software-properties

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ precise main restricted
deb-src http://fr.archive.ubuntu.com/ubuntu/ precise restricted main multiverse universe #Added by software-properties

## Major bug fix updates produced after the final release of the
## distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ precise-updates main restricted
deb-src http://fr.archive.ubuntu.com/ubuntu/ precise-updates restricted main multiverse universe #Added by software-properties

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://fr.archive.ubuntu.com/ubuntu/ precise universe
deb http://fr.archive.ubuntu.com/ubuntu/ precise-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://fr.archive.ubuntu.com/ubuntu/ precise multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ precise-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://fr.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse #Added by software-properties

deb http://security.ubuntu.com/ubuntu precise-security main restricted
deb-src http://security.ubuntu.com/ubuntu precise-security restricted main multiverse universe #Added by software-properties
deb http://security.ubuntu.com/ubuntu precise-security universe
deb http://security.ubuntu.com/ubuntu precise-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu precise partner
# deb-src http://archive.canonical.com/ubuntu precise partner

## Uncomment the following two lines to add software from Ubuntu's
## 'extras' repository.
## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
# deb http://extras.ubuntu.com/ubuntu precise main
# deb-src http://extras.ubuntu.com/ubuntu precise main

et pour le deuxième fichier, il n'existe pas


pc bureau : CM asrock 960GM/U3S3 FX et CPU AMD FX 6100 SSD 120 Go 4Go de RAM et carte graphique gigabyte geforce GTX660 ubuntu 14.04 64 bits 
asus eeepc 1011PX W7 et ubuntu 14.04

Hors ligne

#12 Le 28/09/2012, à 22:08

"-"

Re : [ RESOLU ] mise a niveau impossible vers 12.10

Ton fichier /etc/apt/sources.list ne contient pas de dépôts externes. Tu n'as pas d'autres repositories (genre des ppas) ?

Hors ligne

#13 Le 28/09/2012, à 22:11

vince-rd1

Re : [ RESOLU ] mise a niveau impossible vers 12.10

je vois ça comment?


pc bureau : CM asrock 960GM/U3S3 FX et CPU AMD FX 6100 SSD 120 Go 4Go de RAM et carte graphique gigabyte geforce GTX660 ubuntu 14.04 64 bits 
asus eeepc 1011PX W7 et ubuntu 14.04

Hors ligne

#14 Le 28/09/2012, à 22:18

vince-rd1

Re : [ RESOLU ] mise a niveau impossible vers 12.10

j'ai trouvé le problème, un truc tout bête mais vraiment tout bête.....
dans les réglage du gestionnaire de mise à jour, j'étais régler sur "serveur France", je l'ai changer et mis sur "tous les serveur" (ou un truc dans le genre) et la ça fonctionne, je suis en train d'upgrader.


pc bureau : CM asrock 960GM/U3S3 FX et CPU AMD FX 6100 SSD 120 Go 4Go de RAM et carte graphique gigabyte geforce GTX660 ubuntu 14.04 64 bits 
asus eeepc 1011PX W7 et ubuntu 14.04

Hors ligne

#15 Le 28/09/2012, à 22:45

vince-rd1

Re : [ RESOLU ] mise a niveau impossible vers 12.10

En tout cas merci espéce de gnome!, vlotho et "-" de vous être penché sur le sujet et de m'avoir aidé


pc bureau : CM asrock 960GM/U3S3 FX et CPU AMD FX 6100 SSD 120 Go 4Go de RAM et carte graphique gigabyte geforce GTX660 ubuntu 14.04 64 bits 
asus eeepc 1011PX W7 et ubuntu 14.04

Hors ligne

Haut de page ↑